Package org.springframework.test.context.junit4.statements

# Class RunBeforeTestMethodCallbacks

java.lang.Object
org.junit.runners.model.Statement
org.springframework.test.context.junit4.statements.RunBeforeTestMethodCallbacks

public class RunBeforeTestMethodCallbacks extends Statement
`RunBeforeTestMethodCallbacks` is a custom JUnit `Statement` which allows the Spring TestContext Framework to be plugged into the JUnit execution chain by calling `beforeTestMethod()` on the supplied `TestContextManager`.

Since:
  3.0
Author:
  Sam Brannen
See Also:
  - `evaluate()`
  - `RunAfterTestMethodCallbacks`

## Constructor Summary

Constructors
Constructor
Description
`RunBeforeTestMethodCallbacks(Statement next, Object testInstance, Method testMethod, TestContextManager testContextManager)`
Construct a new `RunBeforeTestMethodCallbacks` statement.

## Method Summary

Modifier and Type
Method
Description
`void`
`evaluate()`
Invoke `TestContextManager.beforeTestMethod(Object, Method)` and then evaluate the next `Statement` in the execution chain (typically an instance of `RunBefores`).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunBeforeTestMethodCallbacks

public RunBeforeTestMethodCallbacks(Statement next, Object testInstance, Method testMethod, TestContextManager testContextManager)
Construct a new `RunBeforeTestMethodCallbacks` statement.

Parameters:
  `next` - the next `Statement` in the execution chain
  `testInstance` - the current test instance (never `null`)
  `testMethod` - the test method which is about to be executed on the test instance
  `testContextManager` - the TestContextManager upon which to call `beforeTestMethod()`

## Method Details

### evaluate

public void evaluate() throws Throwable
Invoke `TestContextManager.beforeTestMethod(Object, Method)` and then evaluate the next `Statement` in the execution chain (typically an instance of `RunBefores`).

Specified by:
  `evaluate` in class `Statement`
Throws:
  `Throwable`